
     NAME HALTMECH

;*********************************************************************************************
;
;     Halt Mechansim - All Vector Reserve
;   ---------------------------------------
;
;  Reserve Locations 3h-5h, to be used by the Halt Mechanism.
;  This is needed when using INT 0 as dedicated (Not shared) Halt Mechanism.
;
;  Reserve Locations 13h-15h, to be used by the Halt Mechanism.
;  This is needed when using INT 1 as dedicated (Not shared) Halt Mechanism.
;
;  Reserve Locations 0Bh-0Dh, to be used by the Halt Mechanism.
;  This is needed when using Timer 0 as dedicated (Not shared) Halt Mechanism.
;
;  Reserve Locations 1Bh-1Dh, to be used by the Halt Mechanism.
;  This is needed when using Timer 1 as dedicated (Not shared) Halt Mechanism.
;
;  Declare POLL_MONITOR, HALT_MONITOR, BP_MONITOR labels as Public
;  to be used with the user application.
;
;*********************************************************************************************

PUBLIC POLL_MONITOR
PUBLIC BP_MONITOR
PUBLIC HALT_MONITOR


     CSEG AT 003h

     NOP
     NOP
     NOP

;*********************************************************************************************

     CSEG AT 013h

     NOP
     NOP
     NOP

;*********************************************************************************************

     CSEG AT 00Bh

     NOP
     NOP
     NOP

;*********************************************************************************************

     CSEG AT 01Bh

     NOP
     NOP
     NOP

;*********************************************************************************************

     CSEG AT 0FC08h
;************* Poll Monitor for Conditional Halting
POLL_MONITOR:

     CSEG AT 0FC06h
;************* Unconditionaly Halt Monitor
HALT_MONITOR:

     CSEG AT 0FC0Ch
;************* Breakpoint Monitor
BP_MONITOR:

     END
